﻿using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinSchedule;
using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading;
using System.Windows.Forms;

namespace wiseStep.Common.Component.Base.BaseControl
{
    public partial class CCalendarCombo : UltraDateTimeEditor
    {
        private TextBox editBox;

        public CCalendarCombo()
        {
            InitializeComponent();

            this.Font = new System.Drawing.Font("Simsun", 12F, this.Font.Style, this.Font.Unit, this.Font.GdiCharSet, this.Font.GdiVerticalFont);
            this.Size = new System.Drawing.Size(145, 25);

            editBox = new TextBox();
            editBox.Top = this.Top + 3;
            editBox.Left = this.Left + 3;
            editBox.Height = this.Height;
            editBox.Width = this.Width - 5;
            editBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
            editBox.Parent = this;
            editBox.Visible = true;

            this.AlwaysInEditMode = false;
            this.ValueChanged += new EventHandler(CCalendarCombo_ValueChanged);
        }

        private void CCalendarCombo_ValueChanged(object sender, EventArgs e)
        {
            UltraDateTimeEditor strDate = (UltraDateTimeEditor)sender;

            CultureInfo culture = (CultureInfo)(Thread.CurrentThread.CurrentCulture.Clone());
            GregorianCalendar gregLocalCal = new System.Globalization.GregorianCalendar();
            gregLocalCal.CalendarType = GregorianCalendarTypes.Localized;
            culture.DateTimeFormat.Calendar = gregLocalCal;

            this.editBox.Text = ((DateTime)strDate.Value).ToString(culture);
        }

        private void InitializeComponent()
        {
            this.SuspendLayout();
            // 
            // CCalendarCombo
            // 
            this.Name = "CCalendarCombo";
            this.Size = new System.Drawing.Size(219, 212);
            this.ResumeLayout(false);

        }
    }
}
